package cz.muni.fi.pb162.testing;

/**
 * Trieda predstavuje jednoduchú kalkulačku pre ktorú vytvoríme testy
 * Testy nájdete v priečinku test/java/cz.muni.fi.pb162.calculatorTest
 */
public class Calculator {
    /**
     * Metóda spočíta dve čísla s desatinou čiarkou
     * @param firstNumber prvé číslo
     * @param secondNumber druhé číslo
     * @return Súčet dvoch čísel daných získaných z parametrov funkcie
     */
    public static double add(double firstNumber, double secondNumber) {
        return firstNumber + secondNumber;
    }

    /**
     * Metóda odrátava dve čísla s desatinou čiarkou
     * @param firstNumber číslo od ktorého sa odrátava
     * @param secondNumber číslo ktoré sa odrátava
     * @return rozdiel dvoch čísel
     */
    public static double subtract(double firstNumber, double secondNumber) {
        return firstNumber - secondNumber;
    }

    /**
     * metóda spraví súčin dvoch čísel
     * @param firstNumber prvé číslo
     * @param secondNumber druhé číslo
     * @return súčin dvoch čísel
     */
    public static double multiply(double firstNumber, double secondNumber) {
        return firstNumber*secondNumber;
    }

    /**
     * metóda spraví delenie dvoch čísel
     * @param dividend čitatel
     * @param divisor menovateľ
     * @return výsledok delenia čitateľa menovaťeľom
     */
    public static double division(double dividend, double divisor) {
        if (divisor == 0) {
            throw new ArithmeticException("Cannot divide by zero!");
        }
        return dividend/divisor;
    }
}
