package cz.muni.fi.pb162.interfaces.utils;

import cz.muni.fi.pb162.interfaces.devices.Device;

/**
 * Trieda Informer je jednoduchá pomocná trieda pre ukážku využitia rozhraní
 */
public class Informer {
    /**
     * Metóda vypíše základné informácie o inštancii ktorejkoľvek triedy, ktorá implementuje rozhranie Device
     * @param device Zariadenie o ktorom chceme vypísať základné informácie
     */
    public static void printInfoAboutDevice(Device device) {
        String message = new StringBuilder("Device ")
                .append(device.getMark())
                .append(" ")
                .append(device.getModel())
                .append(".")
                .toString();
        System.out.println(message);
    }
}
